Subject: RE: [Isis-wg] IS-IS MIB

From: "Don Goodspeed" <[email-masked]>
Date: Wed, 29 May 2002 18:59:43 -0400 (EDT)

If supported, IP can fragment the SNMP Response PDU if it's
larger than the MTU.  I've tested this before with large OSPF
router LSAs.  (I test both IGP protocols and SNMP, btw).

The only references to large PDUs in SMIv2 I can find are a
warning on any octet string over 255 characters, and having the
ability to give a "tooBig" error if a local constraint is exceeded
on the agent.

-don

 --- On Wed 05/29, Jeff Parker  wrote:
From: Jeff Parker [mailto: [email-masked]]
To: [email-masked],[email-masked],[email-masked],[email-masked]
     Cc: [email-masked],[email-masked],[email-masked]
Date: Wed 05/29
Subject: RE: [Isis-wg] IS-IS MIB
> > Index by the level and the LSP ID. Have an attribute for each 
> > of the fixed fields. Have an OCTET-STRING defined attribute 
> > as the last entry in the table that contains either: 
> > a. The hex dump of the entire LSP, or 
> > b. The hex dump of just the variable length fields. 
> 
> > The upper bound on the size probably needs to be 65535. Don't 
> > worry, SNMP can fragment SNMP replies for the large one. 
> 
> > Don 
> 
> Don -
> 	I was under the impression that SNMP couldn't deal with
> 1492 byte or larger objects.  If it can, I would be happy to
> package up the whole LSP and ship it over so that the clients
> can do what they like.  
> 	But Dan suggested last week that this is not possible.
> 
> 	Is there a MIB Doctor in the house?  Can we get a ruling
> on shiping 1492 to 4K to larger yet blobs as one object?
> 
> - jeff parker
> 

------------------------------------------------
Join Excite! - http://www.excite.com
The most personalized portal on the Web!